Bug 1965470 - pyproject_extra_subpkg warning to stderr causes permission denied error
Summary: pyproject_extra_subpkg warning to stderr causes permission denied error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pyproject-rpm-macros
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-27 18:41 UTC by Major Hayden 🤠
Modified: 2021-06-06 01:09 UTC (History)
3 users (show)

Fixed In Version: pyproject-rpm-macros-0-40.fc33 pyproject-rpm-macros-0-40.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-06 01:04:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Major Hayden 🤠 2021-05-27 18:41:08 UTC
When installing multiple wheels in single RPM, a warning is thrown to stderr and that isn't allowed in a mock chroot:

++ wc -l /builddir/build/BUILD/pyproject-ghost-distinfo
++ cut -f1 '-d '
+ lines=66
+ '[' 66 -ne 1 ']'
+ echo -e '\n\nWARNING: %pyproject_extras_subpkg won'\''t work without explicit -i or -F, found 66 dist-info directories.\n\n'
/var/tmp/rpm-tmp.AqCZTE: line 81: /dev/stderr: Permission denied

Relevant code: https://src.fedoraproject.org/rpms/pyproject-rpm-macros/blob/rawhide/f/macros.pyproject#_57

However, using something like this seems to work, even in a mock chroot:

echo "wheeeeeeeeeeee" >&2

I'll submit a PR in pagure.

Comment 1 Major Hayden 🤠 2021-05-27 18:43:35 UTC
PR submitted: https://src.fedoraproject.org/rpms/pyproject-rpm-macros/pull-request/161#

Comment 2 Fedora Update System 2021-05-28 13:50:13 UTC
FEDORA-2021-a5192b5362 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-a5192b5362

Comment 3 Fedora Update System 2021-05-29 01:37:44 UTC
FEDORA-2021-a5192b5362 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-a5192b5362`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-a5192b5362

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-05-29 01:51:04 UTC
FEDORA-2021-036ccade83 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-036ccade83`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-036ccade83

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-06-06 01:04:14 UTC
FEDORA-2021-a5192b5362 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-06-06 01:09:44 UTC
FEDORA-2021-036ccade83 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.